# バッチサンプルビルド手順
  - バッチ一覧
    1. 利用者作成バッチ : create-user-batch : application000001/2/3
    1. CToken連携バッチ : link-ctoken-batch : application000001/2/3
    1. Region改定再同意依頼バッチ : region-term-of-use-notification-batch : root
    1. Book自動閉鎖バッチ : book-end-of-use-batch : root
    1. Region利用自動終了対象追加 : add-region-end-of-use-target-batch : root
    1. Region利用自動終了バッチ : region-end-of-use-batch : region000001
    1. Book削除バッチ : book-delete-batch : root/region000001/application000001/2/3
    1. 出力データファイル管理作成バッチ : output-user-data-file-mng-batch : root
    1. 利用者データ削除バッチ : delete-user-batch : application000001/2/3
    1. Region終了対象追加 : add-region-close-target-batch : root
    1. Region利用終了 : close-region-batch : root
    1. Region利用者連携 : cooperate-region-batch : region000001

## ソースの展開
  - 「サンプルバッチ関連ファイル\# oss_sample_batch.zip」ファイルをS3経由などで作業フォルダに置き、解凍しておくこと
    - S3からのファイル取得 （S3バケットがpxross1-batch-workの場合）: aws s3 cp s3://pxross1-batch-work/oss_sample_batch.zip ./
    - ZIPファイル解凍コマンド : unzip oss_sample_batch.zip

## ビルドとプッシュ
  - 各バッチに対してビルドを実行し、そのイメージのプッシュを実行する
    - ビルド、プッシュ、ビルドイメージ削除をコマンドで実行する

### 共通
  - aws ecr get-login-password --region ap-northeast-1 | docker login --username AWS --password-stdin ＜ECRのDNS名＞
    - 一度実行し、トークンが切れるまで再実施不要

### 利用者作成バッチ : create-user-batch
  - cd ~/work/oss_sample_batch/
  - docker build ./pxr-create-user-batch -t ＜ECRのDNS名＞/pxross1:create-user-batch-container
  - docker push ＜ECRのDNS名＞/pxross1:create-user-batch-container
  - docker rmi ＜ECRのDNS名＞/pxross1:create-user-batch-container

### CToken連携バッチ : link-ctoken-batch
  - cd ~/work/oss_sample_batch/
  - docker build ./pxr-link-ctoken-batch -t ＜ECRのDNS名＞/pxross1:link-ctoken-batch-container
  - docker push ＜ECRのDNS名＞/pxross1:link-ctoken-batch-container
  - docker rmi ＜ECRのDNS名＞/pxross1:link-ctoken-batch-container

### Region改定再同意依頼バッチ : region-term-of-use-notification-batch
  - cd ~/work/oss_sample_batch/
  - docker build ./pxr-region-term-of-use-notification-batch -t ＜ECRのDNS名＞/pxross1:region-term-of-use-notification-batch-container
  - docker push ＜ECRのDNS名＞/pxross1:region-term-of-use-notification-batch-container
  - docker rmi ＜ECRのDNS名＞/pxross1:region-term-of-use-notification-batch-container

### Book自動閉鎖バッチ : book-end-of-use-batch
  - cd ~/work/oss_sample_batch/
  - docker build ./pxr-book-end-of-use-batch -t ＜ECRのDNS名＞/pxross1:book-end-of-use-batch-container
  - docker push ＜ECRのDNS名＞/pxross1:book-end-of-use-batch-container
  - docker rmi ＜ECRのDNS名＞/pxross1:book-end-of-use-batch-container

### Region利用自動終了対象追加 : add-region-end-of-use-target-batch
  - cd ~/work/oss_sample_batch/
  - docker build ./pxr-add-region-end-of-use-target-batch -t ＜ECRのDNS名＞/pxross1:add-region-end-of-use-target-batch-container
  - docker push ＜ECRのDNS名＞/pxross1:add-region-end-of-use-target-batch-container
  - docker rmi ＜ECRのDNS名＞/pxross1:add-region-end-of-use-target-batch-container

### Region利用自動終了バッチ : region-end-of-use-batch
  - cd ~/work/oss_sample_batch/
  - docker build ./pxr-region-end-of-use-batch -t ＜ECRのDNS名＞/pxross1:region-end-of-use-batch-container
  - docker push ＜ECRのDNS名＞/pxross1:region-end-of-use-batch-container
  - docker rmi ＜ECRのDNS名＞/pxross1:region-end-of-use-batch-container

### Book削除バッチ : book-delete-batch
  - cd ~/work/oss_sample_batch/
  - docker build ./pxr-book-delete-batch -t ＜ECRのDNS名＞/pxross1:book-delete-batch-container
  - docker push ＜ECRのDNS名＞/pxross1:book-delete-batch-container
  - docker rmi ＜ECRのDNS名＞/pxross1:book-delete-batch-container

### 出力データファイル管理作成バッチ : output-user-data-file-mng-batch
  - cd ~/work/oss_sample_batch/
  - docker build ./pxr-output-user-data-file-mng-batch -t ＜ECRのDNS名＞/pxross1:output-user-data-file-mng-batch-container
  - docker push ＜ECRのDNS名＞/pxross1:output-user-data-file-mng-batch-container
  - docker rmi ＜ECRのDNS名＞/pxross1:output-user-data-file-mng-batch-container

### 利用者データ削除バッチ : delete-user-batch
  - docker build ./pxr-delete-user-batch -t ＜ECRのDNS名＞/pxross1:delete-user-batch-container
  - docker push ＜ECRのDNS名＞/pxross1:delete-user-batch-container
  - docker rmi ＜ECRのDNS名＞/pxross1:delete-user-batch-container

### Region終了対象追加 : add-region-close-target-batch
  - docker build ./pxr-add-region-close-target-batch -t ＜ECRのDNS名＞/pxross1:add-region-close-target-batch-container
  - docker push ＜ECRのDNS名＞/pxross1:add-region-close-target-batch-container
  - docker rmi ＜ECRのDNS名＞/pxross1:add-region-close-target-batch-container

### Region利用終了 : close-region-batch
  - cd ~/work/oss_sample_batch/
  - docker build ./pxr-close-region-batch -t ＜ECRのDNS名＞/pxross1:close-region-batch-container
  - docker push ＜ECRのDNS名＞/pxross1:close-region-batch-container
  - docker rmi ＜ECRのDNS名＞/pxross1:close-region-batch-container

### Region利用者連携 : cooperate-region-batch
  - cd ~/work/oss_sample_batch/
  - docker build ./pxr-cooperate-region-batch -t ＜ECRのDNS名＞/pxross1:cooperate-region-batch-container
  - docker push ＜ECRのDNS名＞/pxross1:cooperate-region-batch-container
  - docker rmi ＜ECRのDNS名＞/pxross1:cooperate-region-batch-container

## バッチ起動の設定
  - manifest設定・反映方法 : 「サンプルバッチ関連ファイル\# バッチサンプル構築手順.md」の手順を実施する
